For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

Manage users in VARIO Cloud via the REST API, including user data, permissions, settings, signatures, favorites, activation and deactivation.

User.

get
Path parameters
idinteger · int64Required

User identifier.

signatureIdinteger · int64Required

Signature identifier.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

contentTypestring · enumRequired

ContentType

Possible values:
contentstringOptional

Content

get/cmn/users/{id}/signature/{signatureId}
GET /cmn/users/{id}/signature/{signatureId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "contentType": "TEXT",
  "content": "text"
}
put
Path parameters
idinteger · int64Required

User identifier.

signatureIdinteger · int64Required

Signature identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

contentTypestring · enumRequired

ContentType

Possible values:
contentstringOptional

Content

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

contentTypestring · enumRequired

ContentType

Possible values:
contentstringOptional

Content

put/cmn/users/{id}/signature/{signatureId}
PUT /cmn/users/{id}/signature/{signatureId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "contentType": "TEXT",
  "content": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "contentType": "TEXT",
  "content": "text"
}
delete
Path parameters
idinteger · int64Required

User identifier.

signatureIdinteger · int64Required

Signature identifier.

Responses
200

OK

No content

delete/cmn/users/{id}/signature/{signatureId}
DELETE /cmn/users/{id}/signature/{signatureId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get
Path parameters
idinteger · int64Required

User identifier.

subscriptionIdinteger · int64Required

Output favorite identifier.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

get/cmn/users/{id}/favorites/subscription/{subscriptionId}
GET /cmn/users/{id}/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
put
Path parameters
idinteger · int64Required

User identifier.

subscriptionIdinteger · int64Required

Output favorite identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

put/cmn/users/{id}/favorites/subscription/{subscriptionId}
PUT /cmn/users/{id}/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
delete
Path parameters
idinteger · int64Required

User identifier.

subscriptionIdinteger · int64Required

Output favorite identifier.

Responses
200

OK

No content

delete/cmn/users/{id}/favorites/subscription/{subscriptionId}
DELETE /cmn/users/{id}/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get
Path parameters
idinteger · int64Required

User identifier.

favoriteIdinteger · int64Required

Output favorite identifier.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

get/cmn/users/{id}/favorites/outputs/{favoriteId}
GET /cmn/users/{id}/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetReportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
put
Path parameters
idinteger · int64Required

User identifier.

favoriteIdinteger · int64Required

Output favorite identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

put/cmn/users/{id}/favorites/outputs/{favoriteId}
PUT /cmn/users/{id}/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text"
  },
  "targetOutputTypeRef": {
    "id": "text"
  },
  "targetReportGroupRef": {
    "id": "text"
  },
  "targetOutputConsumerRef": {
    "id": "text"
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetReportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
delete
Path parameters
idinteger · int64Required

User identifier.

favoriteIdinteger · int64Required

Output favorite identifier.

Responses
200

OK

No content

delete/cmn/users/{id}/favorites/outputs/{favoriteId}
DELETE /cmn/users/{id}/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

Deactivate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

Is the user active?

Default: true
usernamestringOptional

username

firstNamestringOptional

first-name

lastNamestringOptional

last-name

emailAddressstringOptional

email-address

ownerbooleanRead-onlyOptional

Is owner user?

Default: false
emailVerifiedbooleanRead-onlyOptional

is the email verified

Default: false
validTostring · date-timeOptional

Valid to

typestring · enumOptional

User type

Possible values:
appIdentifierstring · uuidRead-onlyOptional

App-Identifier

referencedCustomerUserIdinteger · int64Read-onlyOptional

Referenced customer user identifier (CustomerUserEntity.id from vab-manager).

put/cmn/users/{id}/deactivate
PUT /cmn/users/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "username": "text",
  "firstName": "text",
  "lastName": "text",
  "emailAddress": "text",
  "owner": false,
  "emailVerified": false,
  "validTo": "2026-01-01T00:00:00.000Z",
  "type": "REGULAR",
  "roles": [],
  "groups": [],
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "referencedCustomerUserId": 1
}

Provides the authorizations for a given user

get
Path parameters
idinteger · int64Required

User identifier.

Responses
200

successful operation

*/*
superUserbooleanRead-onlyOptional

is user superuser?

Default: false
get/cmn/users/{id}/authorization
GET /cmn/users/{id}/authorization HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

{
  "superUser": false,
  "operations": []
}

Updates the authorizations for a given user

put
Path parameters
idinteger · int64Required

User identifier.

Body
Responses
200

successful operation

*/*
superUserbooleanRead-onlyOptional

is user superuser?

Default: false
put/cmn/users/{id}/authorization
PUT /cmn/users/{id}/authorization HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "roles": [],
  "groups": []
}
{
  "superUser": false,
  "operations": []
}

Activate an existing resource

put
Path parameters
idinteger · int64Required

identifier

Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

Is the user active?

Default: true
usernamestringOptional

username

firstNamestringOptional

first-name

lastNamestringOptional

last-name

emailAddressstringOptional

email-address

ownerbooleanRead-onlyOptional

Is owner user?

Default: false
emailVerifiedbooleanRead-onlyOptional

is the email verified

Default: false
validTostring · date-timeOptional

Valid to

typestring · enumOptional

User type

Possible values:
appIdentifierstring · uuidRead-onlyOptional

App-Identifier

referencedCustomerUserIdinteger · int64Read-onlyOptional

Referenced customer user identifier (CustomerUserEntity.id from vab-manager).

put/cmn/users/{id}/activate
PUT /cmn/users/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "active": true,
  "username": "text",
  "firstName": "text",
  "lastName": "text",
  "emailAddress": "text",
  "owner": false,
  "emailVerified": false,
  "validTo": "2026-01-01T00:00:00.000Z",
  "type": "REGULAR",
  "roles": [],
  "groups": [],
  "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "referencedCustomerUserId": 1
}
get
Path parameters
subscriptionIdinteger · int64Required

Output subscription identifier.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

get/cmn/users/me/favorites/subscription/{subscriptionId}
GET /cmn/users/me/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
put
Path parameters
subscriptionIdinteger · int64Required

Output subscription identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

put/cmn/users/me/favorites/subscription/{subscriptionId}
PUT /cmn/users/me/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
delete
Path parameters
subscriptionIdinteger · int64Required

Output subscription identifier.

Responses
200

OK

No content

delete/cmn/users/me/favorites/subscription/{subscriptionId}
DELETE /cmn/users/me/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

get
Path parameters
favoriteIdinteger · int64Required

Output favorite identifier.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

get/cmn/users/me/favorites/outputs/{favoriteId}
GET /cmn/users/me/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetReportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
put
Path parameters
favoriteIdinteger · int64Required

Output favorite identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

put/cmn/users/me/favorites/outputs/{favoriteId}
PUT /cmn/users/me/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text"
  },
  "targetOutputTypeRef": {
    "id": "text"
  },
  "targetReportGroupRef": {
    "id": "text"
  },
  "targetOutputConsumerRef": {
    "id": "text"
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetReportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
delete
Path parameters
favoriteIdinteger · int64Required

Output favorite identifier.

Responses
200

OK

No content

delete/cmn/users/me/favorites/outputs/{favoriteId}
DELETE /cmn/users/me/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

post
Path parameters
idinteger · int64Required

User identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

contentTypestring · enumRequired

ContentType

Possible values:
contentstringOptional

Content

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

contentTypestring · enumRequired

ContentType

Possible values:
contentstringOptional

Content

post/cmn/users/{id}/signature
POST /cmn/users/{id}/signature HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "contentType": "TEXT",
  "content": "text"
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "contentType": "TEXT",
  "content": "text"
}
post
Path parameters
idinteger · int64Required

User identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

post/cmn/users/{id}/favorites/subscription
POST /cmn/users/{id}/favorites/subscription HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
post
Path parameters
idinteger · int64Required

User identifier.

Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

post/cmn/users/{id}/favorites/outputs
POST /cmn/users/{id}/favorites/outputs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text"
  },
  "targetOutputTypeRef": {
    "id": "text"
  },
  "targetReportGroupRef": {
    "id": "text"
  },
  "targetOutputConsumerRef": {
    "id": "text"
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetReportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
get
Path parameters
settingKeystringRequired

setting key

Responses
200

OK

*/*
keystringRequired

setting-key

valuestringRequired

setting-value

get/cmn/users/me/settings/{settingKey}
GET /cmn/users/me/settings/{settingKey} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

{
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "key": "text",
  "value": "text"
}
post
Path parameters
settingKeystringRequired

setting key

Body
stringOptional
Responses
200

OK

*/*
keystringRequired

setting-key

valuestringRequired

setting-value

post/cmn/users/me/settings/{settingKey}
POST /cmn/users/me/settings/{settingKey} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 6

"text"
200

OK

{
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "key": "text",
  "value": "text"
}
delete
Path parameters
settingKeystringRequired

setting key

Responses
200

OK

No content

delete/cmn/users/me/settings/{settingKey}
DELETE /cmn/users/me/settings/{settingKey} HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

No content

post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

refKeystringRequired

Data type.

eventTypesstring[]Required

Event-Types

post/cmn/users/me/favorites/subscription
POST /cmn/users/me/favorites/subscription HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "refKey": "text",
  "eventTypes": [
    "text"
  ]
}
post
Body
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

Responses
200

OK

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

outputQuantityinteger · int32 · min: 1Optional

Number of outputs.

post/cmn/users/me/favorites/outputs
POST /cmn/users/me/favorites/outputs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050

{
  "version": "text",
  "info": {},
  "id": "text",
  "userRef": {
    "id": "text"
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text"
  },
  "targetOutputTypeRef": {
    "id": "text"
  },
  "targetReportGroupRef": {
    "id": "text"
  },
  "targetOutputConsumerRef": {
    "id": "text"
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}
200

OK

{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "userRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "moduleRef": {
    "key": "text",
    "label": "text"
  },
  "outputModuleRule": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  },
  "sourceOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputTypeRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetReportGroupRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "targetOutputConsumerRef": {
    "id": "text",
    "label": "text",
    "description": "text",
    "active": true
  },
  "outputQuantity": 1,
  "targetOutputConsumerResult": {
    "empty": true,
    "array": true,
    "null": true,
    "object": true,
    "float": true,
    "missingNode": true,
    "valueNode": true,
    "container": true,
    "integralNumber": true,
    "binary": true,
    "nodeType": "ARRAY",
    "string": true,
    "pojo": true,
    "short": true,
    "int": true,
    "long": true,
    "double": true,
    "bigDecimal": true,
    "bigInteger": true,
    "boolean": true,
    "floatingPointNumber": true,
    "number": true,
    "embeddedValue": true
  }
}

Provides all Users (without hidden buildin users)

get
Responses
200

successful operation

*/*
versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

activebooleanRead-onlyOptional

Is the user active?

Default: true
usernamestringOptional

username

firstNamestringOptional

first-name

lastNamestringOptional

last-name

emailAddressstringOptional

email-address

ownerbooleanRead-onlyOptional

Is owner user?

Default: false
emailVerifiedbooleanRead-onlyOptional

is the email verified

Default: false
validTostring · date-timeOptional

Valid to

typestring · enumOptional

User type

Possible values:
appIdentifierstring · uuidRead-onlyOptional

App-Identifier

referencedCustomerUserIdinteger · int64Read-onlyOptional

Referenced customer user identifier (CustomerUserEntity.id from vab-manager).

get/cmn/users
GET /cmn/users HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

[]

Provides all roles defined in the system that are feasible for the given user

get
Path parameters
idinteger · int64Required

User identifier.

Responses
200

successful operation

*/*

the operation

resourcestring · min: 1Required

the resource to authorize

verbstring · min: 1Required

the operation/verb to authorize

descriptionstringRead-onlyOptional

description of permission

autoAppendablebooleanRead-onlyOptional

Is this a permission that is added to the admin group automatically?

get/cmn/users/{id}/available-permissions
GET /cmn/users/{id}/available-permissions HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

[]

Provides the current user

get
Responses
200

successful operation

*/*
tenantIdinteger · int64Read-onlyOptional

Current tenant identifier.

managedByPartnerbooleanRead-onlyOptional

Whether this tenant's customer is looked after by a partner.

get/cmn/users/me
GET /cmn/users/me HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

{
  "user": {
    "version": "text",
    "info": {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdFrom": "text",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "updatedFrom": "text"
    },
    "id": "text",
    "active": true,
    "username": "text",
    "firstName": "text",
    "lastName": "text",
    "emailAddress": "text",
    "owner": false,
    "emailVerified": false,
    "validTo": "2026-01-01T00:00:00.000Z",
    "type": "REGULAR",
    "roles": [],
    "groups": [],
    "appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
    "referencedCustomerUserId": 1
  },
  "company": {
    "id": "1",
    "name1": "text",
    "name2": "text",
    "name3": "text",
    "street": "text",
    "streetAddressNumber": "text",
    "city": "text",
    "postalCode": "text",
    "languageCodeIso2a": "text",
    "languageCodeId": 1,
    "countryCodeIso2a": "text",
    "countryCodeId": 1,
    "currencyCodeIso3a": "text",
    "currencyCodeId": 1,
    "createdAt": "2026-01-01T00:00:00.000Z"
  },
  "tenantId": 1,
  "managedByPartner": true
}
get
Responses
200

OK

*/*
keystringRequired

setting-key

valuestringRequired

setting-value

get/cmn/users/me/settings
GET /cmn/users/me/settings HTTP/1.1
Host: api.example.com
Accept: */*
200

OK

[]

Provides the authorizations for the current user

get
Responses
200

successful operation

*/*
superUserbooleanRead-onlyOptional

is user superuser?

Default: false
get/cmn/users/me/authorization
GET /cmn/users/me/authorization HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

{
  "superUser": false,
  "operations": []
}

Provides the authorizations of a given resource for the current user

get
Path parameters
resourcestringRequired
Responses
200

successful operation

*/*

the operation

resourcestring · min: 1Required

the resource to authorize

verbstring · min: 1Required

the operation/verb to authorize

descriptionstringRead-onlyOptional

description of permission

autoAppendablebooleanRead-onlyOptional

Is this a permission that is added to the admin group automatically?

get/cmn/users/me/authorization/{resource}
GET /cmn/users/me/authorization/{resource} HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

[]

Provides all Users (without hidden buildin users)

get
Responses
200

successful operation

*/*

Parent category.

idstringRequired

Identifier

labelstringRead-onlyOptional

a label

descriptionstringRead-onlyOptional

a short description

activebooleanRead-onlyOptional

Active.

get/cmn/users/all
GET /cmn/users/all HTTP/1.1
Host: api.example.com
Accept: */*
200

successful operation

[]

Last updated

Was this helpful?